ButFaceNL Aug 23 @ 3:49am
I installed steam on my Fedora System but i keep getting this error.
This is the output when i start steam via console. I don't know if this problem is caused by my videocard or my system. I have an Lenovo G500s with Fedora 20 on it.

Running Steam on fedora 20 64-bit
STEAM_RUNTIME is enabled automatically
Error: You are missing the following 32-bit libraries, and Steam may not run:
libGL.so.1
Installing breakpad exception handler for appid(steam)/version(1407966480_client)
Installing breakpad exception handler for appid(steam)/version(1407966480)
Installing breakpad exception handler for appid(steam)/version(1407966480)
Installing breakpad exception handler for appid(steam)/version(1407966480)
[2014-08-23 12:27:21] Startup - updater built Aug 13 2014 14:16:48
Looks like steam didn't shutdown cleanly, scheduling immediate update check
[2014-08-23 12:27:21] Checking for update on startup
[2014-08-23 12:27:21] Checking for available updates...
[2014-08-23 12:27:22] Download skipped: /client/steam_client_ubuntu12 version 1407966480, installed version 1407966480
[2014-08-23 12:27:22] Nothing to do
[2014-08-23 12:27:22] Verifying installation...
[2014-08-23 12:27:22] Performing checksum verification of executable files
[2014-08-23 12:27:23] Verification complete
[2014-08-23 12:27:24] Shutdown

Did anyone have this problem before? And how do i solve it?
( Sorry for my English i am not an native speaker. )
Showing 1-10 of 10 comments
< >
Evil Penguin Aug 23 @ 4:38am 
Which video driver are you using?
ButFaceNL Aug 23 @ 5:30am 
How do i check which driver i'm using at the moment?
Originally posted by Evil Penguin:
Which video driver are you using?
pertav Aug 23 @ 10:48am 
Type in console: "cat /var/log/Xorg.0.log" without quotes. Find "Load module"-part.
For me for example, as I'm using Nvidia proprietary driver version 340.32:
(II) LoadModule: "glx"
[ 4.544] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[ 4.581] (II) Module glx: vendor="NVIDIA Corporation"
[ 4.581] compiled for 4.0.2, module version = 1.0.0
[ 4.581] Module class: X.Org Server Extension
[ 4.582] (II) NVIDIA GLX Module 340.32 Tue Aug 5 20:32:43 PDT 2014
ButFaceNL Aug 23 @ 11:30am 
This is my output. Thanks BTW
8.355] (II) "glx" will be loaded by default.
[ 8.355] (WW) "xwayland" is not to be loaded by default. Skipping.
[ 8.355] (II) LoadModule: "dri2"
[ 8.355] (II) Module "dri2" already built-in
[ 8.355] (II) LoadModule: "glamoregl"
[ 8.355] (WW) Warning, couldn't open module glamoregl
[ 8.355] (II) UnloadModule: "glamoregl"
[ 8.355] (II) Unloading glamoregl
[ 8.355] (EE) Failed to load module "glamoregl" (module does not exist, 0)
[ 8.355] (II) LoadModule: "glx"
[ 8.355] (II) Loading /usr/lib64/xorg/modules/extensions/libglx.so
[ 8.378] (II) Module glx: vendor="NVIDIA Corporation"
[ 8.378] compiled for 4.0.2, module version = 1.0.0
[ 8.378] Module class: X.Org Server Extension
[ 8.379] (II) NVIDIA GLX Module 340.32 Tue Aug 5 20:32:43 PDT 2014

Originally posted by pertav:
Type in console: "cat /var/log/Xorg.0.log" without quotes. Find "Load module"-part.
For me for example, as I'm using Nvidia proprietary driver version 340.32:
(II) LoadModule: "glx"
[ 4.544] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[ 4.581] (II) Module glx: vendor="NVIDIA Corporation"
[ 4.581] compiled for 4.0.2, module version = 1.0.0
[ 4.581] Module class: X.Org Server Extension
[ 4.582] (II) NVIDIA GLX Module 340.32 Tue Aug 5 20:32:43 PDT 2014
pertav Aug 23 @ 12:18pm 
Have you installed the driver from YUM? If so, you are probably missing the 32bit-libraries. Install them with:
# yum install xorg-x11-drv-nvidia-libs.i686
And reboot. I'm not completely sure about this as I have never used Fedora, but used the rpmfusion wiki for refefence; http://rpmfusion.org/Howto/nVidia#GeForce_8_and_newer
ButFaceNL Aug 23 @ 1:51pm 
Nope, that just ♥♥♥♥ed up my GUI
pertav Aug 23 @ 1:56pm 
Desktop environment? Steam GUI?
pertav Aug 23 @ 2:00pm 
Try just automatic x-configuration file generation with
sudo nvidia-xconfig
and reboot if the case is that after adding the libraries the whole system looks f***ed up. Then reboot.
gbf Aug 23 @ 9:44pm 
did you install the driver from the nvidia website ?
a .sh file ?
ButFaceNL Aug 25 @ 5:20am 
I fixed my 32bits libaries, and installed my drivers correctly, but i keep getting this error now: OpenGL GLX extension not supported by display. Does anyone know anything about this?
Showing 1-10 of 10 comments
< >
Per page: 15 30 50
Date Posted: Aug 23 @ 3:49am
Posts: 10